# Generated by Django 3.0.4 on 2020-03-11 20:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('pinturas', '0004_artista_obra'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Articulo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('update', models.DateTimeField(auto_now=True)),
                ('user_update', models.IntegerField(blank=True, null=True)),
                ('description', models.CharField(max_length=128, unique=True)),
                ('artista', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pinturas.Artista')),
                ('obra', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pinturas.Obra')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Articulos',
            },
        ),
    ]
